Update Endpoint
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoint/update \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"id": "<string>",
"name": "<string>",
"clusterID": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": 123,
"maxConcurrent": 123,
"gpuNum": 123,
"requestTimeout": 123
},
"ports": [
{
"port": "<string>"
}
],
"policy": {
"type": "<string>",
"value": 123
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"volumeMounts": [
{
"type": "<string>",
"size": 123,
"id": "<string>",
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"healthy": {
"path": "<string>"
}
}
'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoint/update"
payload = {
"id": "<string>",
"name": "<string>",
"clusterID": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": 123,
"maxConcurrent": 123,
"gpuNum": 123,
"requestTimeout": 123
},
"ports": [{ "port": "<string>" }],
"policy": {
"type": "<string>",
"value": 123
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"volumeMounts": [
{
"type": "<string>",
"size": 123,
"id": "<string>",
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"healthy": { "path": "<string>" }
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
clusterID: '<string>',
workerConfig: {
minNum: 123,
maxNum: 123,
freeTimeout: 123,
maxConcurrent: 123,
gpuNum: 123,
requestTimeout: 123
},
ports: [{port: '<string>'}],
policy: {type: '<string>', value: 123},
image: {image: '<string>', authId: '<string>', command: '<string>'},
volumeMounts: [{type: '<string>', size: 123, id: '<string>', mountPath: '<string>'}],
envs: [{key: '<string>', value: '<string>'}],
healthy: {path: '<string>'}
})
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoint/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Serverless GPUs
Update Endpoint
POST
/
gpu-instance
/
openapi
/
v1
/
endpoint
/
update
Update Endpoint
Description
When updating an endpoint, all parameters must be provided in full.Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string
必須
The Endpoint ID to update.
string
Endpoint name.
string
Cluster information. Required when mounting cloud storage and must match the cluster ID where the cloud storage is located. String with a length limit of 0-255 characters.
object
必須
Worker configuration. The valid range is dynamically retrieved through the parameter limits API.
object[]
必須
HTTP ports. Only one port is supported. Supported port range: 1-65535, excluding internal ports 2222, 2223, and 2224.
表示 properties
表示 properties
string
必須
HTTP port.
object
必須
Scaling policy. The valid range is dynamically retrieved through the parameter limits API.
表示 properties
表示 properties
string
必須
Scaling policy type. Available values:
queue: Queue latency policy, scales workers based on request wait time in the queue.concurrency: Queue request policy, scales workers based on the number of requests in the queue.
integer
必須
The meaning of value depends on the type:
- When type = queue, value represents the queue wait time in seconds.
- When type = concurrency, value represents the maximum number of requests in the queue.
object
必須
Container image configuration.
表示 properties
表示 properties
object[]
Storage configuration in GB.
表示 properties
表示 properties
string
必須
Storage type. Available values:
local: Local storage.network: Network storage.
integer
Local storage size, currently fixed at 30. Not required for network storage.
string
Network storage ID. Not required for local storage.
string
必須
Storage mount path. String with a length limit of 0-255 characters.
object[]
最終更新日 2026年5月15日
⌘I